Subject: Re: Clean up stale .gitignore and .gitattribute patterns

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Jun 2023 08:55:31 -0700

Sebastian Schuberth <[email-masked]> writes:

> Thanks Peff for the suggestion. I ended up scripting something via
> JGit [1], as we're anyway using it as part of our Gradle build system.
>
> PS: As a future idea, it might be good if "git mv" gives a hint about
> updating .gitattributes if files matching .gitattributes pattern are
> moved.

Interesting.  "git mv hello.jpg hello.jpeg" would suggest updating
a "*.jpg <list of attribute definitions>" line in the .gitattributes
to begin with "*.jpeg"?